%define name nip2
%define version 7.10.21
%define release %mkrel 2

Summary: Nip is an interface for vips
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: Video
URL: http://www.vips.ecs.soton.ac.uk/index.php
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: flex 
BuildRequires: bison 
BuildRequires: gtk2-devel 
BuildRequires: libxml2-devel 
BuildRequires: libvips-devel 
BuildRequires: fftw3-devel
BuildRequires: ImageMagick
BuildRequires: perl-XML-Parser

%description
nip2 aims to be about halfway between Excel and Photoshop. You don't directly
edit images --- instead, like a spreadsheet, you build relationships between 
objects. When you make a change somewhere, nip2 will recalculate the objects 
affected by that change. Since it is demand-driven this update is usually 
(almost) instant, even for very, very large images.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_iconsdir,%_liconsdir,%_miconsdir}

%makeinstall

rm -fr $RPM_BUILD_ROOT/%{_datadir}/locale/malkovich
convert -resize 32x32 proj/src/nip.ico %buildroot%{_iconsdir}/%{name}.png
convert -resize 16x16 proj/src/nip.ico %buildroot%{_liconsdir}/%{name}.png
convert -resize 48x48 proj/src/nip.ico %buildroot%{_miconsdir}/%{name}.png

%find_lang %{name}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(nip2):command="%{_bindir}/%{name}" \
icon="%{name}.png" needs="X11" section="Multimedia/Graphics" \
title="Nip2" longtitle="The free image processing system" \
mimetypes="" accept_url="false" \
multiple_files="true" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=nip2
Comment=Free image processing system
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Graphics;Graphics;
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%post 
%{update_menus} 

%postun 
%{clean_menus} 


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%defattr(644,root,root,755)
%{_datadir}/%{name}
%doc %{_defaultdocdir}/%{name}
%{_mandir}/man?/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*



%changelog
* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 7.10.21-2mdv2008.0
+ Revision: 24890
- Rebuild.


* Thu Aug 31 2006 Couriousous <couriousous@mandriva.org>
+ 2006-08-31 15:20:17 (59049)
- 7.10.21
- XDG

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 08:24:10 (43165)
import nip2-7.10.16-1mdk

* Mon Apr 17 2006 Couriousous <couriousous@mandriva.org> 7.10.16-1mdk
- 7.10.16

* Sun Jan 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 7.10.14-4mdk
- Rebuild for new ImageMagick

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 7.10.14-3mdk
- BuildRequires fix

* Sun Oct 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 7.10.14-2mdk
- BuildRequires fix

* Sat Oct 01 2005 Couriousous <couriousous@mandriva.org> 7.10.14-1mdk
- 7.10.14

* Sun Jul 17 2005 Couriousous <couriousous@mandriva.org> 7.10.10-1mdk
- Fix menu and BuildRequires
- From: Trem <trem@zarb.org> 
	- Initial build.

